# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/ResourceDatabase.hpp File Reference

`#include "vl/Object.hpp"`
`#include "vl/String.hpp"`
`#include <vector>`
`#include <algorithm>`

## Classes

class | vl::ResourceDatabase
| The ResourceDatabase class contains and manipulates a set of resources. More...

## Namespaces

namespace | vl
| Visualization Library namespace.

## Functions

ref< ResourceDatabase > | vl::loadResource (const String &path, bool quick=true)
| Loads the specified resource. Equivalent to VisualizationLibrary::loadWriterManager()->loadResource(const String& path, bool quick).
ref< ResourceDatabase > | vl::loadResource (VirtualFile *file, bool quick=true)
| Loads the specified resource. Equivalent to VisualizationLibrary::loadWriterManager()->loadResource(VirtualFile* file).
bool | vl::canLoad (const String &path)
| Returns true if there is a ResourceLoadWriter registered to load the specified path or extension.
bool | vl::canLoad (VirtualFile *file)
| Returns true if there is a ResourceLoadWriter registered to load the specified file.
bool | vl::canWrite (const String &path)
| Returns true if there is a ResourceLoadWriter registered to write the specified path or extension.
bool | vl::canWrite (VirtualFile *file)
| Returns true if there is a ResourceLoadWriter registered to write the specified file.

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:28 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.